%{?nodejs_find_provides_and_requires}

%global packagename is-generator-function
%global enable_tests 1

Name:		nodejs-is-generator-function
Version:	1.0.3
Release:	1%{?dist}
Summary:	Determine if a function is an ES6 generator function or not

License:	MIT
URL:		https://github.com/ljharb/is-generator-function.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(make-generator-function)
BuildRequires:	npm(tape)
%endif

%description
Determine if a function is an ES6 generator function or not.


%prep
%autosetup -n package

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} --es-staging --harmony test/index.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Jul  4 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.3-1
- Initial packaging
